Skip to content

Intercom API (2.10)

The intercom API reference.

Download OpenAPI description
Languages
Servers
The production API server
https://api.intercom.io/
The european API server
https://api.eu.intercom.io/
The australian API server
https://api.au.intercom.io/

Admins

Everything about your Admins

SchemasOperations

Articles

Everything about your Articles

SchemasOperations

Companies

Everything about your Companies

SchemasOperations

Contacts

Everything about your contacts

SchemasOperations

Conversations

Everything about your Conversations

SchemasOperations

Detach a contact from a group conversation

Request

You can add participants who are contacts to a conversation, on behalf of either another contact or an admin.

Contacts without an email

If you add a contact via the email parameter and there is no user/lead found on that workspace with he given email, then we will create a new contact with role set to lead.

Security
bearerAuth
Path
conversation_idstringrequired

The identifier for the conversation as given by Intercom.

Example: 123
contact_idstringrequired

The identifier for the contact as given by Intercom.

Example: 123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
admin_idstringrequired

The id of the admin who is performing the action.

Example: "5017690"
curl -i -X DELETE \
  https://api.intercom.io/conversations/123/customers/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "admin_id": 991268034,
    "customer": {
      "intercom_user_id": "6657acd36abd0166b52ae29a"
    }
  }'

Responses

Detach a contact from a group conversation

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "customers": [ {} ] }

Redact a conversation part

Request

You can redact a conversation part or the source message of a conversation (as seen in the source object).

Redacting parts and messages

If you are redacting a conversation part, it must have a body. If you are redacting a source message, it must have been created by a contact. We will return a conversation_part_not_redactable error if these criteria are not met.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
One of:

Payload of the request to redact a conversation part

typestringrequired

The type of resource being redacted.

Value"conversation_part"
Example: "conversation_part"
conversation_idstringrequired

The id of the conversation.

Example: "19894788788"
conversation_part_idstringrequired

The id of the conversation_part.

Example: "19381789428"
curl -i -X POST \
  https://api.intercom.io/conversations/redact \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "type": "conversation_part",
    "conversation_id": 591,
    "conversation_part_id": 132
  }'

Responses

Redact a conversation part

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "591", "created_at": 1717021953, "updated_at": 1717021955, "waiting_since": 1717021953, "snoozed_until": null, "source": { "type": "conversation", "id": "403918378", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": { "created_at": 1717021953, "type": "conversation", "url": null }, "admin_assignee_id": null, "team_assignee_id": null, "open": true, "state": "open", "read": true, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 2 } }

Convert a conversation to a ticket

Request

You can convert a conversation to a ticket.

Security
bearerAuth
Path
idintegerrequired

The id of the conversation to target

Example: 123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
ticket_type_idstringrequired

The ID of the type of ticket you want to convert the conversation to

Example: "1234"
attributesobject(Ticket Attributes)

The attributes set on the ticket. When setting the default title and description attributes, the attribute keys that should be used are _default_title_ and _default_description_. When setting ticket type attributes of the list attribute type, the key should be the attribute name and the value of the attribute should be the list item id, obtainable by listing the ticket type. For example, if the ticket type has an attribute called priority of type list, the key should be priority and the value of the attribute should be the guid of the list item (e.g. de1825a0-0164-4070-8ca6-13e22462fa7e).

Example: {"_default_title_":"Found a bug","_default_description_":"The button is not working"}
curl -i -X POST \
  https://api.intercom.io/conversations/123/convert \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "ticket_type_id": "81"
  }'

Responses

successful

Bodyapplication/json
typestring

Always ticket

Default "ticket"
Value"ticket"
Example: "ticket"
idstring

The unique identifier for the ticket which is given by Intercom.

Example: "1295"
ticket_idstring

The ID of the Ticket used in the Intercom Inbox and Messenger. Do not use ticket_id for API queries.

Example: "1390"
categorystring

Category of the Ticket.

Enum"Customer""Back-office""Tracker"
Example: "Customer"
ticket_attributesobject(Ticket Attributes)

An object containing the different attributes associated to the ticket as key-value pairs. For the default title and description attributes, the keys are _default_title_ and _default_description_.

Example: {"_default_title_":"Found a bug","_default_description_":"The button's not working"}
ticket_statestring

The state the ticket is currenly in

Enum"submitted""in_progress""waiting_on_customer""resolved"
Example: "submitted"
ticket_state_internal_labelstring

The state the ticket is currently in, in a human readable form - visible in Intercom

ticket_state_external_labelstring

The state the ticket is currently in, in a human readable form - visible to customers, in the messenger, email and tickets portal.

ticket_typeobject or null(Ticket Type)

A ticket type, used to define the data fields to be captured in a ticket.

contactsobject(Contacts)

The list of contacts affected by a ticket.

admin_assignee_idstring

The id representing the admin assigned to the ticket.

Example: "1295"
team_assignee_idstring

The id representing the team assigned to the ticket.

Example: "1295"
created_atinteger(date-time)

The time the ticket was created as a UTC Unix timestamp.

Example: 1663597223
updated_atinteger(date-time)

The last time the ticket was updated as a UTC Unix timestamp.

Example: 1663597260
openboolean

Whether or not the ticket is open. If false, the ticket is closed.

Example: true
snoozed_untilinteger(date-time)

The time the ticket will be snoozed until as a UTC Unix timestamp. If null, the ticket is not currently snoozed.

Example: 1663597260
linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

ticket_partsobject(Ticket Parts)

A list of Ticket Part objects for each note and event in the ticket. There is a limit of 500 parts.

is_sharedboolean

Whether or not the ticket is shared with the customer.

Example: true
Response
application/json
{ "type": "ticket", "id": "594", "ticket_id": "7", "ticket_attributes": {}, "ticket_state": "submitted", "ticket_state_internal_label": "Submitted", "ticket_state_external_label": "Submitted", "ticket_type": { "type": "ticket_type", "id": "81", "name": "my-ticket-type-1", "description": "my ticket type description is awesome.", "icon": "🦁", "workspace_id": "this_is_an_id404_that_should_be_at_least_", "archived": false, "created_at": 1717021963, "updated_at": 1717021963, "is_internal": false, "ticket_type_attributes": {}, "category": "Customer" }, "contacts": { "type": "contact.list", "contacts": [] }, "admin_assignee_id": "0", "team_assignee_id": "0", "created_at": 1717021960, "updated_at": 1717021964, "ticket_parts": { "type": "ticket_part.list", "ticket_parts": [], "total_count": 3 }, "open": true, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "category": "Customer", "is_shared": true }

Data Attributes

Everything about your Data Attributes

SchemasOperations

Data Events

Everything about your Data Events

SchemasOperations

Data Export

Everything about your Data Exports

SchemasOperations

Help Center

Everything about your Help Center

SchemasOperations

Messages

Everything about your messages

SchemasOperations

News

Everything about your News

SchemasOperations

Notes

Everything about your Notes

SchemasOperations

Segments

Everything about your Segments

SchemasOperations

Subscription Types

Everything about subscription types

SchemasOperations

Switch

Everything about Switch

Operations

Tags

Everything about tags

SchemasOperations

Teams

Everything about your Teams

SchemasOperations

Ticket Type Attributes

Everything about your ticket type attributes

Operations

Ticket Types

Everything about your ticket types

Operations

Tickets

Everything about your tickets

SchemasOperations

Visitors

Everything about your Visitors

Operations

Models

Schemas